Skip to main content
GET
/
api
/
v1
/
pool-info
pool-info
curl --request GET \
  --url https://api.naos.trade/api/v1/pool-info \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "poolInfo": {
    "address": "<string>",
    "type": "<string>",
    "factory": "<string>",
    "fee": 123,
    "realFee": 123,
    "tickSpacing": 123,
    "hooks": "<string>",
    "router": "<string>",
    "quoter": "<string>",
    "owner": "<string>",
    "to": "<string>",
    "blockNumber": 123,
    "liquidity": 123,
    "marketCap": 123,
    "priceNative": 123,
    "createdAt": 123,
    "token": {
      "address": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "totalSupply": "<string>"
    },
    "quote": {
      "address": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "totalSupply": "<string>"
    },
    "chain": "<string>"
  },
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key via Authorization: Bearer YOUR_API_KEY

Query Parameters

pool
string
required

Pool contract address (EVM only)

chain
enum<string>

Blockchain network (validates pool is on this chain if provided) Blockchain network identifier

Available options:
BASE,
ETH,
BSC,
ARB,
AVAX,
ABS,
HYPE,
INK,
STORY,
XLAYER,
PLASMA,
UNI,
MONAD,
MEGAETH,
SOL

Response

Pool info retrieved

success
boolean
required
poolInfo
object
error
string | null